Intermittent browser_projecteditor_app_options.js | Uncaught exception - at chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_app_options.js:35 - TypeError: header is null

RESOLVED INVALID

Status

()

Firefox
Developer Tools: WebIDE
P3
normal
RESOLVED INVALID
3 years ago
4 months ago

People

(Reporter: RyanVM, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

3 years ago
08:56:57 INFO - 4381 INFO TEST-START | browser/devtools/projecteditor/test/browser_projecteditor_app_options.js
08:56:57 INFO - ++DOCSHELL 0x1300da000 == 9 [pid = 1377] [id = 9]
08:56:58 INFO - ++DOMWINDOW == 19 (0x127711800) [pid = 1377] [serial = 19] [outer = 0x0]
08:56:58 INFO - ++DOMWINDOW == 20 (0x130a8d800) [pid = 1377] [serial = 20] [outer = 0x127711800]
08:56:58 INFO - [1377] WARNING: NS_ENSURE_TRUE(mMutable) failed: file /builds/slave/m-in-m64-d-0000000000000000000/build/src/netwerk/base/nsSimpleURI.cpp, line 264
08:56:58 INFO - [1377] WARNING: NS_ENSURE_TRUE(mCallback) failed: file /builds/slave/m-in-m64-d-0000000000000000000/build/src/dom/base/nsFrameMessageManager.cpp, line 739
08:56:58 INFO - ++DOMWINDOW == 21 (0x131105400) [pid = 1377] [serial = 21] [outer = 0x12fb6a000]
08:56:58 INFO - [1377] WARNING: NS_ENSURE_TRUE(globalObject && globalObject->GetGlobalJSObject()) failed: file /builds/slave/m-in-m64-d-0000000000000000000/build/src/dom/base/nsDocument.cpp, line 8365
08:56:58 INFO - ++DOMWINDOW == 22 (0x12a80b000) [pid = 1377] [serial = 22] [outer = 0x127711800]
08:56:58 INFO - ++DOCSHELL 0x131264000 == 10 [pid = 1377] [id = 10]
08:56:58 INFO - ++DOMWINDOW == 23 (0x131256000) [pid = 1377] [serial = 23] [outer = 0x0]
08:56:58 INFO - ++DOMWINDOW == 24 (0x131258800) [pid = 1377] [serial = 24] [outer = 0x131256000]
08:56:58 INFO - ++DOMWINDOW == 25 (0x13003a000) [pid = 1377] [serial = 25] [outer = 0x131256000]
08:56:58 INFO - *************************
08:56:58 INFO - A coding exception was thrown and uncaught in a Task.
08:56:58 INFO - Full message: TypeError: header is null
08:56:58 INFO - Full stack: @chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_app_options.js:35:7
08:56:58 INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:739:9
08:56:58 INFO - Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:662:7
08:56:58 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:752:59
08:56:58 INFO - *************************
08:56:58 INFO - 4382 INFO *** Start BrowserChrome Test Results ***
08:56:58 INFO - 4383 INFO checking window state
08:56:58 INFO - 4384 INFO TEST-INFO | (browser-test.js) | Console message: [JavaScript Error: "DEPRECATION WARNING: FUEL is deprecated, you should use the add-on SDK instead.
08:56:58 INFO - You may find more details about this deprecation at: https://developer.mozilla.org/Add-ons/SDK/
08:56:58 INFO - jar:file:///builds/slave/test/build/application/NightlyDebug.app/Contents/Resources/browser/omni.ja!/components/fuelApplication.js 1458 Application
08:56:58 INFO - jar:file:///builds/slave/test/build/application/NightlyDebug.app/Contents/Resources/browser/omni.ja!/components/fuelApplication.js 726 af_ci
08:56:58 INFO - chrome://mochikit/content/browser-test.js 242 Tester_start
08:56:58 INFO - chrome://mochikit/content/browser-harness.xul 254 createTester
08:56:58 INFO - chrome://mochikit/content/browser-harness.xul 232 loadTestList
08:56:58 INFO - chrome://mochikit/content/manifestLibrary.js 38 parseTestManifest
08:56:58 INFO - chrome://mochikit/content/manifestLibrary.js 49 getTestManifest/req.onload
08:56:58 INFO - null 0 null
08:56:58 INFO - " {file: "resource://gre/modules/Deprecated.jsm" line: 79}]
08:56:58 INFO - 4385 INFO Entering test
08:56:58 INFO - 4386 INFO Building a temporary directory at ProjectEditor1428422217430
08:56:58 INFO - 4387 INFO Adding a new tab with URL: 'chrome://browser/content/devtools/projecteditor-test.xul'
08:56:58 INFO - 4388 INFO URL 'chrome://browser/content/devtools/projecteditor-test.xul' loading complete
08:56:58 INFO - 4389 INFO must wait for load
08:56:58 INFO - 4390 INFO TEST-PASS | browser/devtools/projecteditor/test/browser_projecteditor_app_options.js | Tab has placeholder iframe for projecteditor
08:56:58 INFO - 4391 INFO TEST-PASS | browser/devtools/projecteditor/test/browser_projecteditor_app_options.js | ProjectEditor has been initialized
08:56:58 INFO - 4392 INFO About to set project to: /Users/cltbld/Library/Caches/TemporaryItems/ProjectEditor1428422217430
08:56:58 INFO - 4393 INFO A resource has been added
08:56:58 INFO - 4394 INFO Making sure a resource has been added before continuing
08:56:58 INFO - 4395 INFO From now on, if a resource is added it should fail
08:56:58 INFO - 4396 INFO Getting ahold and validating the project header DOM
08:56:58 INFO - 4397 INFO TEST-UNEXPECTED-FAIL | browser/devtools/projecteditor/test/browser_projecteditor_app_options.js | Uncaught exception - at chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_app_options.js:35 - TypeError: header is null
08:56:58 INFO - Stack trace:
08:56:58 INFO - @chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_app_options.js:35:7
08:56:58 INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:739:9
08:56:58 INFO - Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:662:7
08:56:58 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:752:59
08:56:58 INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:739:9
08:56:58 INFO - Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:662:7
08:56:58 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:752:59
08:56:58 INFO - 4398 INFO Leaving test
08:56:58 INFO - [1377] WARNING: NS_ENSURE_TRUE(mMutable) failed: file /builds/slave/m-in-m64-d-0000000000000000000/build/src/netwerk/base/nsSimpleURI.cpp, line 264
08:56:58 INFO - [1377] WARNING: NS_ENSURE_TRUE(!HasUnloadedParent()) failed: file /builds/slave/m-in-m64-d-0000000000000000000/build/src/docshell/base/nsDocShell.cpp, line 9887
08:56:58 INFO - [1377] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x8000FFFF: file /builds/slave/m-in-m64-d-0000000000000000000/build/src/dom/base/nsFrameLoader.cpp, line 432
08:56:58 INFO - [1377] WARNING: NS_ENSURE_SUCCESS(EnsureScriptEnvironment(), nullptr) failed with result 0x80040111: file /builds/slave/m-in-m64-d-0000000000000000000/build/src/docshell/base/nsDocShell.cpp, line 4597
08:56:58 INFO - MEMORY STAT vsize after test: 3354763264
08:56:58 INFO - MEMORY STAT vsizeMaxContiguous not supported in this build configuration.
08:56:58 INFO - MEMORY STAT residentFast after test: 298090496
08:56:58 INFO - MEMORY STAT heapAllocated after test: 108073736
08:56:58 INFO - 4399 INFO TEST-OK | browser/devtools/projecteditor/test/browser_projecteditor_app_options.js | took 1312ms
08:56:58 INFO - ++DOCSHELL 0x130e13000 == 11 [pid = 1377] [id = 11]
08:56:58 INFO - ++DOMWINDOW == 26 (0x131d6b400) [pid = 1377] [serial = 26] [outer = 0x0]
08:56:58 INFO - ++DOMWINDOW == 27 (0x131d6dc00) [pid = 1377] [serial = 27] [outer = 0x131d6b400]
08:56:58 INFO - [1377] WARNING: NS_ENSURE_TRUE(mMutable) failed: file /builds/slave/m-in-m64-d-0000000000000000000/build/src/netwerk/base/nsSimpleURI.cpp, line 264
08:56:58 INFO - [1377] WARNING: NS_ENSURE_SUCCESS(EnsureScriptEnvironment(), nullptr) failed with result 0x80040111: file /builds/slave/m-in-m64-d-0000000000000000000/build/src/docshell/base/nsDocShell.cpp, line 4597
08:56:58 INFO - [1377] WARNING: NS_ENSURE_SUCCESS(EnsureScriptEnvironment(), nullptr) failed with result 0x80040111: file /builds/slave/m-in-m64-d-0000000000000000000/build/src/docshell/base/nsDocShell.cpp, line 4597
08:56:58 INFO - 4400 INFO TEST-START | browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js
08:56:58 INFO - 4401 INFO checking window state
08:56:58 INFO - 4402 INFO TEST-UNEXPECTED-FAIL | browser/devtools/projecteditor/test/browser_projecteditor_confirm_unsaved.js | A promise chain failed to handle a rejection: - undefined
08:56:58 INFO - Stack trace:
08:56:58 INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: PendingErrors.register :: line 162
08:56:58 INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: this.PromiseWalker.completePromise :: line 675
08:56:58 INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: Handler.prototype.process :: line 903
08:56:58 INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: this.PromiseWalker.walkerLoop :: line 746
08:56:58 INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: this.PromiseWalker.scheduleWalkerLoop/< :: line 688
08:56:58 INFO - native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
08:56:58 INFO - 4403 INFO Entering test
08:56:58 INFO - 4404 INFO Building a temporary directory at ProjectEditor1428422218665
08:56:58 INFO - 4405 INFO Adding a project editor tab for editing at: /Users/cltbld/Library/Caches/TemporaryItems/ProjectEditor1428422218665
08:56:58 INFO - 4406 INFO Adding a new tab with URL: 'chrome://browser/content/devtools/projecteditor-test.xul'
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 7

3 years ago
Inactive; closing (see bug 1180138).
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Reporter)

Comment 14

3 years ago
Clearly this is still happening. Can you take a look, Brian? :)
Status: RESOLVED → REOPENED
Flags: needinfo?(bgrinstead)
Resolution: WORKSFORME → ---
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Reporter)

Updated

2 years ago
Flags: needinfo?(bgrinstead)

Comment 22

a year ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3
5 failures in 623 pushes (0.008 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2

Platform breakdown:
* windows8-64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1151980&startday=2016-11-21&endday=2016-11-27&tree=all
5 failures in 690 pushes (0.007 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 3
* graphics: 1
* autoland: 1

Platform breakdown:
* windows8-64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1151980&startday=2017-01-16&endday=2017-01-22&tree=all
Projecteditor was removed from the tree in bug 1361311.
Status: REOPENED → RESOLVED
Last Resolved: 3 years ago8 months ago
Resolution: --- → INVALID

Comment 26

4 months ago
1 failures in 1032 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1151980&startday=2017-09-11&endday=2017-09-17&tree=all
You need to log in before you can comment on or make changes to this bug.